.browserupgrade {
  margin: 0.2em 0;
  background: #ccc;
  color: #000;
  padding: 0.2em 0;
}

$color-primary: #9356DC;
$color-secondary: #FF79DA;
$color-tertiary: #99E2D0;

body {
  font-family: "Roboto", sans-serif;
  font-size: 0.8em;
  width: 100%;
  background: #fafafa;
  color: #000000;
  margin: 2% 0px;
}

h1,
h3 {
  font-size: 1.2rem;
  font-weight: 700;
}

// http://www.menucool.com/9499/CSS-loading-spinner-with-a-semi-transparent-background
@keyframes hideAnimation {
  to {
    width: 0;
    height: 0;
    overflow: hidden;
  }
}

#cover-spin {
  position: fixed;
  width: 100%;
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
  background-color: rgba(255, 255, 255, 0.9);
  z-index: 9999;
  animation: hideAnimation 0s ease-in 3s forwards;
  animation-fill-mode: forwards;
}

@keyframes spin {
  from {
    transform: rotate(0deg);
  }

  to {
    transform: rotate(360deg);
  }
}

#cover-spin::after {
  content: '';
  display: block;
  position: absolute;
  left: 48%;
  top: 40%;
  width: 40px;
  height: 40px;
  border: solid 8px $color-tertiary;
  border-top-color: transparent;
  border-radius: 50%;
  animation: spin .8s linear infinite;
  animation-iteration-count: 3;
}

// HEADER
header {
  display: flex;
  flex-direction: column;
  align-items: center;

  img {
    width: 50%;
    margin-bottom: 3%;
  }
}

.entete_banniere_txt {
  background-color: rgba(0, 0, 0, 0.1);
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 100%;
  padding: 8% 0%;
  line-height: 1.5rem;
  text-align: center;

  h1 {
    text-align: center;
    padding-bottom: 3%;
  }

  h2 {
    color: rgba(0, 0, 0, 0.8);
    font-family: "Roboto", sans-serif;
    font-size: 1rem;
    font-weight: 300;
    padding: 0% 3%;
    padding-bottom: 3%;
  }

  @keyframes biggerShadow {
    to {
      opacity: 0.85;
      box-shadow: 10px 10px 10px 1px rgba(0, 0, 0, 0.5);
    }
  }

  a {
    background-image: linear-gradient($color-secondary, $color-primary);
    color: #fafafa;
    font-size: 0.9rem;
    margin: 8% 0% 6% 0%;
    padding: 12px 20px;
    border-radius: 30px;
    box-shadow: 5px 5px 5px 1px rgba(0, 0, 0, 0.2);

    &:hover {
      animation-name: biggerShadow;
      animation-duration: 0.5s;
      animation-fill-mode: forwards;
    }
  }
}

// BARRE DE RECHERCHE 
.container_recherche {
  width: 100%;
  background-color: rgba(0, 0, 0, 0.3);
  margin-top: 1%;
}

.recherche {
  background-color: rgba(0, 0, 0, 0.2);
  width: 100%;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: horizontal;
  -webkit-box-direction: normal;
  -ms-flex-direction: row;
  flex-direction: row;
  justify-content: center;

  i {
    color: #000000;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    margin: 0px 20px 0px 30px;
  }
}

#site-search {
  border: 0;
  height: 40px;
  border-style: none;
  background-color: rgba(0, 0, 0, 0.01);
}

::placeholder {
  color: #000000;
  opacity: 1;
  font-weight: 500;
}

// BLOC FONCTIONNEMENT

.containerfonctionnement {
  margin: 0 auto;
  text-align: center;
  width: 100%;

  h3 {
    text-align: left;
    margin: 15% 0% 8% 5%;
  }
}

.containerfonctionnement_list li {
  width: 80%;
  background-color: rgba(0, 0, 0, 0.1);
  box-shadow: 3px 3px 5px 3px rgba(0, 0, 0, 0.2);
  padding: 8% 0%;
  margin: 0 auto;
  margin-top: 8%;
  margin-bottom: 8%;
  font-weight: 800;
  border-radius: 15px;

  i {
    opacity: 0.7;
    padding: 0% 3%;
    margin-right: 10px;
    color: $color-primary;
  }

  .number {
    background-color: $color-primary;
    padding: 2% 3%;
    color: #fafafa;
    border-radius: 50%;
    font-size: 0.7rem;
    float: left;
    margin-left: -10px;
    margin-top: -3px;
  }

  .choisir,
  .composer,
  .deguster {
    padding-right: 40px;
  }
}

// BLOC RESTAURANTS
.containerrestaurants {
  background-color: rgba(0, 0, 0, 0.1);
  padding: 8% 0% 15% 0%;
  margin-top: 20%;

  h3 {
    padding: 3% 0% 5% 0%;
    margin-left: 5%;
  }

  .containervignettes {
    display: flex;
    flex-direction: column;
    align-items: center;

    .vignette {
      text-decoration: none;
      color: #000000;
      width: 90%;
      max-width: 335px;
      height: 200px;
      display: flex;
      flex-direction: column;
      justify-content: space-between;
      margin: 3% 2% 3% 2%;
      box-shadow: 5px 5px 5px rgba(0, 0, 0, 0.2);
      border-radius: 0px 0px 10px 10px;

      .vignette_blocsuperieur {
        background-color: #fafafa;
        height: 80%;
        width: 100%;
        border-radius: 15px 15px 0px 0px;

        &.lapalettedugout {
        background-image: url(../images/lapalettedugout.jpg);
        background-size: cover;
        background-repeat: no-repeat;
      }

      &.lanoteenchantee {
        background-image: url(../images/lanoteenchantee.jpg);
        background-size: cover;
        background-repeat: no-repeat;
      }

      &.alafrancaise {
        background-image: url(../images/alafrancaise.jpg);
        background-size: cover;
        background-repeat: no-repeat;
      }

      &.ledelicedessens {
        background-image: url(../images/ledelicedessens.jpg);
        background-size: cover;
        background-repeat: no-repeat;
      }
    }

      .encartnew {
        background-color: $color-tertiary;
        width: fit-content;
        padding: 2%;
        font-weight: 800;
        color: #187d65;
        position: relative;
        left: 20px;
        margin-top: 20px;
      }
    }

    .vignette_blocinferieur {
      width: 95%;
      height: 23%;
      background-color: #fafafa;
      padding: 2%;
      padding-left: 3%;
      border-radius: 0px 0px 10px 10px;
      display: flex;
      flex-direction: row;
      justify-content: space-between;
      align-items: center;
      line-height: 1.2rem;

      .iconToggle {
        text-align: center;
        margin-right: 2%;

        i.secondicon {
          position: relative;
          top: -9px;
          padding: 10%;
          opacity: 0;
          color: $color-secondary;
          transition: opacity 8s;
          transition: transform 1s;

          &:hover {
            opacity: 1;
            transform: scale(1.4);
          }
        }

        i.firsticon {
          position: relative;
          top: 11px;
          padding: 10%;
          cursor: pointer;
          color: black;
          transition: opacity 8s;

          &:hover {
            opacity: 0;
          }
        }
      }
    }
  }
}

// FOOTER

footer {
  background-color: rgba(0, 0, 0, 0.9);
  color: #fafafa;
  padding: 4%;

  .logo {
    width: 80px;
    margin: 4% 0%;
  }

  .footer_container_bloctxt {
    line-height: 1.5rem;
  }

  .footer_container_bloctxt--icon {
    display: flex;
    flex-direction: row;
    align-items: center;
    width: 80%;

    i {
      margin-right: 3%;
    }

    .fa-cutlery {
      margin-right: 5%;
    }
  }

  a {
    text-decoration: none;
    color: #fafafa;
  }
}

@media only screen and (min-width: 700px) {
  header {

    img {
      width: 25%;
    }

    .container_recherche {
      width: 75%;
      border-radius: 30px;

      .recherche {
        border-radius: 30px;
      }
    }

    .entete_banniere_txt {
      background-color: #fafafa;
      margin-top: 10px;
      padding: 4% 0% 0% 0%;
      border-radius: 30px;

      a {
        margin-top: 0%;
        margin-bottom: 5%;
      }
    }
  }

  // BLOC FONCTIONNEMENT
  .containerfonctionnement {

    h3 {
      margin: 0% 5% 0% 5%;
    }

    &_list {
      padding: 0% 2%;
      display: flex;
      flex-direction: row;
      justify-content: center;

      li {
        background-color: rgba(0, 0, 0, 0.1);
        width: 30%;
        padding: 4% 0%;
        display: flex;
        flex-direction: row;

        i {
          padding-left: 10%;
        }

        .choisir,
        .composer,
        .deguster {
          padding-right: 0%
        }
      }
    }
  }

  // BLOC RESTAURANTS
  .containerrestaurants {
    padding-top: 3%;
    padding-bottom: 5%;
    margin-top: 3%;

    .containervignettes {
      display: flex;
      flex-direction: row;
      flex-wrap: wrap;
      justify-content: space-around;
      margin: 0% 1%;

      .vignette {
        width: 40%;
        margin-bottom: 5%;
      }
    }
  }

  // FOOTER
  footer {
    padding-top: 8px;

    .footer_container_bloctxt--icon .fa-cutlery {
      margin-right: 4%;
    }
  }
}

@media only screen and (min-width: 900px) {

  // BLOC FONCTIONNEMENT

  .containerfonctionnement {
    h3 {
      margin-bottom: 0%;
    }

    .containerfonctionnement_list {
      padding-top: 0%;

      li {
        width: 25%;
      }
    }
  }

  //FOOTER
  footer .logo {
    margin: 2% 0% 1% 0%;
  }
}

@media only screen and (min-width: 1100px) {

  // HEADER
  header {

    img {
      margin-bottom: 2%;
    }

    .entete_banniere_txt {

      margin-top: 0px;

      h1 {
        padding-bottom: 1.5%;
      }

      a {
        margin-top: 0%;
        margin-bottom: 4%;
      }
    }
  }

  // BLOC FONCTIONNEMENT

  .containerfonctionnement .containerfonctionnement_list li {
    margin-top: 4%;
    margin-bottom: 4%;
    padding: 2% 0%;
  }

  // BLOC RESTAURANTS

  .containerrestaurants {
    margin-top: 2%;
    padding-top: 0%;

    h3 {
      padding-bottom: 3%;
    }

    .containervignettes .vignette {
      width: 33%;
    }
  }
}

@media only screen and (min-width: 1200px) {

  // HEADER
  header .entete_banniere_txt {
    padding-top: 3%;

    h2 {
      padding-bottom: 2%;
    }

    a {
      margin-bottom: 2%;
    }
  }

  // BLOC FONCTIONNEMENT
  .containerfonctionnement .containerfonctionnement_list li {
    max-width: 300px;
  }

  // BLOC RESTAURANTS
  .containerrestaurants .containervignettes {
    width: 90%;
    margin: 0 auto;

    .vignette {
      height: 300px;
      width: 35%;
      max-width: 470px;
      margin: 0% 5% 5% 5%;
    }
  }

  // FOOTER
  footer .footer_container_bloctxt--icon {

    i {
      margin-right: 1.5%;
    }

    .fa-cutlery {
      margin-right: 2%;
    }
  }
}

@media only screen and (min-width: 1700px) {

  // BLOC FONCTIONNEMENT
  .containerfonctionnement .containerfonctionnement_list {
    width: 70%;
    margin: 0 auto;
  }

    // BLOC RESTAURANTS
    .containerrestaurants .containervignettes .vignette {
        height: 350px;
        width: 35%;
        max-width: 500px;
        margin: 0% 5% 5% 5%;
      }
}
